aboutsummaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorAdam Harrison <adamdharrison@gmail.com>2024-10-19 17:26:11 -0400
committerAdam Harrison <adamdharrison@gmail.com>2024-10-19 17:26:11 -0400
commita16d8d0cad05eec65a7464af558ab375a0bc07df (patch)
treecc2029b2530870df5ca7c055e826427ca78de007 /build.sh
parent5958026f99bb9f4cef99f738166c31065801c601 (diff)
downloadlite-xl-plugin-manager-a16d8d0cad05eec65a7464af558ab375a0bc07df.tar.gz
lite-xl-plugin-manager-a16d8d0cad05eec65a7464af558ab375a0bc07df.zip
Removed encoders for lzma.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index a2ef537..6593436 100755
--- a/build.sh
+++ b/build.sh
@@ -24,7 +24,7 @@ if [[ "$@" != *"-lz"* ]]; then
LINK_FLAGS="$LINK_FLAGS -lz"
fi
if [[ "$@" != *"-llzma"* ]]; then
- [ ! -e "lib/xz/build" ] && { cd lib/xz && mkdir build && cd build && CFLAGS="$COMPILE_FLAGS -Wno-incompatible-pointer-types" cmake .. -G "Unix Makefiles" $CMAKE_DEFAULT_FLAGS&& $MAKE -j $JOBS && $MAKE install && cd ../../../ || exit -1; }
+ [ ! -e "lib/xz/build" ] && { cd lib/xz && mkdir build && cd build && CFLAGS="$COMPILE_FLAGS -Wno-incompatible-pointer-types" cmake .. -G "Unix Makefiles" $CMAKE_DEFAULT_FLAGS -DHAVE_ENCODERS=false && $MAKE -j $JOBS && $MAKE install && cd ../../../ || exit -1; }
LINK_FLAGS="$LINK_FLAGS -llzma"
fi
if [[ "$@" != *"-lmbedtls"* && "$@" != *"-lmbedcrypto"* && "$@" != *"-lmbedx509"* ]]; then